import Vue from 'nativescript-vue';

const layoutTypes = {
  absolute: 'AbsoluteLayout',
  dock: 'DockLayout',
  flex: 'FlexboxLayout',
  grid: 'GridLayout',
  stack: 'StackLayout',
  wrap: 'WrapLayout',
};
layoutTypes.block = layoutTypes.stack;
layoutTypes.default = layoutTypes.stack;

export default Vue.extend({
  name: 'div',

  props: {
    layout: {
      type: Object,
      default: {
        display: 'block',
      },
    },
  },
  computed: {
    layoutName() {
      let currentDisplayName = 'default';
      if (this && this.layout && this.layout.display) {
        currentDisplayName = this.layout.display;
      }

      return layoutTypes[currentDisplayName];
    },
  },

  render(h) {
    return h(
      this.layoutName,
      this.$slots.default,
    );
  },
});
