import Vue from 'nativescript-vue';

export default Vue.extend({
  name: 'p',

  props: {
    layout: {
      type: Object,
      default: {
        display: 'block',
      },
    },
    trim: {
      type: Boolean,
      default: true,
    },
  },
  computed: {
    currentDisplayName() {
      let currentDisplayName = 'block';

      if (this.layout && this.layout.display) {
        currentDisplayName = this.layout.display;
      }

      return currentDisplayName;
    },
  },

  render(h) {
    const renders = {
      inline: h(
        'span', this.$slots.default,
      ),
      block: h(
        'StackLayout',
        [h('span', this.$slots.default)],
      ),
    };

    if (this.currentDisplayName) {
      return renders[this.currentDisplayName];
    }

    return renders.block;
  },
});
